/*------------------------- MAP PAGE STARTS --------------------------------------------- */
#bcp-eoi-cta {
  margin: 60px 0;
  display: block;
  text-align: center;
}
#bcp-eoi-cta p {
    color: var(--body-text);
  margin-bottom: 16px;
}
/* ------------------------ AUTOCOMPLETE STARTS ------------------------ */
@media (min-width: 769px) {
    .address-search-frame { max-width: 80%; margin: 0 auto; }
}

.address-search-container .address-search-frame {
  -ms-align-items: center;
  align-items: center;
  position: relative;
  display: flex;
}

#search-icon { position: absolute; left: 10px; border-right: 3px solid var(--emerald); height: 74%; width: 40px;padding: 0 20px; box-sizing: content-box;}
#search-map-btn {
  position:absolute;
  right:0;
  height:100%;
  background:white;
  width:100px;
  border-radius:12px;
}
#search-map-btn:after {
  content:'';
  background: url('../../media/go-button.svg') no-repeat center;
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  transition:transform ease-in 0.3s;
}
#search-map-btn:hover:after {
  transform: translateX(5px);
}
#search-map-btn:active:after {
  top:5px;
}
@media (max-width: 768px) {
    #search-icon { width: 30px; }
}
@media (max-width: 490px) {
  #search-icon { width: 30px; padding: 0 10px }
  #search-map-btn { width:  62px; }
  #search-map-btn:after { background-size: 60%}
}
@media (max-width: 400px) {
  #search-icon {
    width: 25px;
    padding: 0 7px;
  }
}

#gmp-address-search-input {
  height: initial;
  width: 100%;
  padding: 28px 11px 29px 50px;
  flex: 1;
  -ms-flex: 1;
  border-radius: 12px;
  border: none;
  outline: none;
  line-height: 32px;
  background-color: rgba(62,55,75,0.2);
  color: var(--default-bg);
  /*font-family: 'Graphik Medium';*/
  overflow: hidden;
  text-overflow: ellipsis;
}
@media (min-width: 769px) {
    #gmp-address-search-input { font-size: 24px; padding-left: 140px; }
	.home #gmp-address-search-input { font-size: 22px; }
}
@media (max-width: 768px) {
  #gmp-address-search-input { padding-left: 90px }
}
@media (max-width: 490px) {
  #gmp-address-search-input {
    padding: 15px 11px 15px 90px;
  }
}

#gmp-address-search-input::-webkit-input-placeholder { color: rgba(255, 255, 255, 0.6); /* Chrome/Opera/Safari */ }
#gmp-address-search-input::-moz-placeholder { color: rgba(255, 255, 255, 0.6); /* Firefox 19+ */ }
#gmp-address-search-input:-ms-input-placeholder { color: rgba(255, 255, 255, 0.6); /* IE 10+ */ }
#gmp-address-search-input:-moz-placeholder { color: rgba(255, 255, 255, 0.6); /* Firefox 18- */ }
#gmp-address-search-input:focus {
  outline: none;
}
#gmp-address-search-input::-ms-clear {
  display: none;
  height: 0;
  width: 0;
}
@media (max-width: 768px) {
    /* Show full placeholder text on mobile. */
    #gmp-address-search-input::-webkit-input-placeholder { font-size: 12px; }
    #gmp-address-search-input::-moz-placeholder { font-size: 12px; }
    #gmp-address-search-input:-ms-input-placeholder { font-size: 12px; }
    #gmp-address-search-input:-moz-placeholder { font-size: 12px; }
}

@media (max-width: 400px) {
  #gmp-address-search-input {
    padding-left: 60px;
  }
  #gmp-address-search-input::-webkit-input-placeholder { font-size: 10px; }
  #gmp-address-search-input::-moz-placeholder { font-size: 10px; }
  #gmp-address-search-input:-ms-input-placeholder { font-size: 10px; }
  #gmp-address-search-input:-moz-placeholder { font-size: 10px; }
}

#address-search-error {
  font-family: Arial, sans-serif;
  font-size: 14px;
  font-style: italic;
  width: 100%;
  top: 46px;
  display: none;
  padding: 8px 12px;
  background-color: #fff;
  position: absolute;
  left: 0;
  z-index: 100;
  border-radius: 2px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
}

.address-search-frame.focused #address-search-error.show {
  display: block;
}
#search-btn {
  margin-left: 5px;
  width: 90px;
  text-align: center;
  /*padding: 0;*/
}
#input-clear {
  width: 16px;
  height: 16px;
  margin: 0;
  padding: 0;
  position: absolute;
  background: grey;
  right: 18px;
  top: 16px;
  color: var(--default-bg);
  font-size: 10px;
  line-height: 16px;
  display: none;
}

.autocomplete-results {
  background-color: #fff;
  position: absolute !important;
  z-index: 990;
  border-radius: 2px;
  border-top: 1px solid #d9d9d9;
  font-family: Arial, sans-serif;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
  top: 70px;
  left: 0;
  right: 0;
  list-style-type: none;
}
.autocomplete-results::after {
  content: '';
  padding: 1px 1px 1px 0;
  height: 18px;
  box-sizing: border-box;
  text-align: right;
  display: block;
  background-position: right;
  background-repeat: no-repeat;
  background-size: 120px 14px;
  background-image: url(https://maps.gstatic.com/mapfiles/api-3/images/powered-by-google-on-white3.png);
}

.autocomplete-item {
  cursor: default;
  padding: 0 4px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  line-height: 30px;
  text-align: left;
  border-top: 1px solid #e6e6e6;
  font-size: 11px;
  color: #999;
}
.autocomplete-item:hover {
  background-color: #fafafa;
  cursor: pointer;
}
.autocomplete-icon {
  width: 15px;
  height: 20px;
  margin-right: 7px;
  margin-top: 6px;
  display: inline-block;
  vertical-align: top;
  background-image: url(https://maps.gstatic.com/mapfiles/api-3/images/autocomplete-icons.png);
  background-size: 34px;
  background-position: -1px -161px;
}
.pac-item-query {
  font-size: 13px;
  padding-right: 3px;
  color: #000;
}
.pac-matched {
  font-weight: 700;
}

.autocomplete-item-selected {
  background-color: #ebf2fe;
}
.autocomplete-item-selected .autocomplete-icon {
  background-position: -18px -161px;
}

/* ------------------------ AUTOCOMPLETE ENDS ------------------------ */

.map-page-container {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column-reverse;
  flex-direction: column-reverse;
  -ms-align-self: center;
  align-self: center;
  max-width: 1260px;
  width: 100%;
  /* border: 1px solid #D7D8D7; */
}

.hide {
  display: none !important;
}

/* Side Panel styling */
#side-panel {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  width: 100%;
  background: var(--default-bg);
  /*min-height: 300px;*/
  -webkit-transform: translate3d(0, 0, 0);
}

#side-panel h3 {
  /*font-family: 'Graphik Medium';*/
  font-size: 20px;
  line-height: 1.25em;
  font-weight: 400;
  /*color: #007681;*/
  margin-bottom: 16px;
}

#side-panel .loader {
  display: none;
}
#side-panel.loading .loader {
  display: block;
  text-align: center;
  margin: 24px;
  font-style: italic;
}
#side-panel.loading .loader > * {
  margin-bottom: 12px;
}

#premises-list,
#premises-sublist,
#premises-details {
  font-family: 'Graphik Regular';
  font-size: 14px;
  line-height: 1.3em;
  color: #58595b;
}

.page-bcp-map #premises-details, .has-bcp-search #premises-details { position: relative; background-color: var(--teal-shade-4); }
.has-eircode-search #premises-details, .page-install #premises-details { display: -ms-flexbox; display: flex; flex-direction: column; }
@media (min-width: 769px) {
    .has-eircode-search #premises-details, .page-install #premises-details { flex-direction: row; }
}

.premises-header {
  padding: 16px 20px;
  background-color: var(--teal-shade-4);
  /*border-bottom: 1px solid #d7d8d7;*/
}
.premises-header .subhead {
  font-size: 16px;
  line-height: 1.25em;
  color: #58595b;
  margin-bottom: 0;
}

.premises-list-container {
  padding: 2px 20px;
  background-color: #e8f4f5;
}
.premises-list-container ul {
  list-style-type: none;
  margin-left: 0;
}
.premises-list-container li {
  padding: 10px 0;
  border-bottom: 1px solid #e5e5e5;
  cursor: pointer;
}
.premises-list-container li:hover {
  text-decoration: underline;
}

.premises-list-container .bcps-list li {
  font-size: 14px;
  line-height: 1.43em;
  list-style-type: none;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;
  cursor: pointer;
}
.premises-list-container .bcps-list .address {
  -ms-flex: 0 1 auto;
  flex: 1;
  -ms-align-self: center;
  align-self: center;
  padding-right: 8px;
}
.premises-list-container .bcps-list .distance {
  background: center top url('../images/bcp-marker-icon.svg') no-repeat; /* was pin-icon.svg */
  background-size: 20px;
  padding-top: 26px;
  font-size: 10px;
  line-height: 2em;
}

#premises-details .details-section {
  padding: 20px; /* was 24px 20px */
  -webkit-transform: translate3d(0, 0, 0);
  color: var(--teal);
  order: 2;
}
.page-bcp-page #premises-details .details-section {
    background-color: var(--teal-shade-4);
}
#premises-details h3 {
  font-size: 24px;
}
#premises-details .premises-address {
  margin: 0 0 24px;
/*  display: -ms-flexbox;
  display: flex;
  -ms-align-items: center;
  align-items: center;*/
  /*text-align: center;*/
  cursor: pointer;
  /*font-size: 24px;
  line-height: 32px;*/
}
@media (max-width: 768px) {
    .has-eircode-search #premises-details .premises-address, .page-install #premises-details .premises-address { display: flex; margin-bottom: 0; }
    .has-eircode-search #premises-details .premises-address p, .page-install #premises-details .premises-address p { flex: 0 0 40px; }
}

.page-bcp-map #premises-details .premises-address, .has-bcp-search #premises-details .premises-address { text-align: center; }
#premises-details .premises-address img { display: block; margin: 0 auto; }
#premises-details .premises-address:hover {
  text-decoration: underline;
}
#premises-details .premises-address span { /*font-size: 14px;*/ /*line-height: 1.5em;*/ }
@media (max-width: 768px) {
    #premises-details .premises-address span { margin-left: 10px; }
}
#premises-details .premises-message { font-size: 24px; line-height: 28px;   font-family: 'Graphik Light'; /*color: #007681;*/ margin-bottom: 21px; }
@media (min-width: 769px) {
    #premises-details .premises-message { font-size: 40px; line-height: 44px; }
}
#premises-details .premises-submessage {
  font-size: 14px;
  line-height: 1.43em;
  margin-bottom: 24px;
}
#premises-details.with-date .premises-submessage {
  margin-bottom: 0;
}
#premises-details .premises-submessage p, #premises-details .premises-disclaimer p { font-size: 16px; line-height: 20px; margin-bottom: 12px; }
@media (min-width: 769px) {
    #premises-details .premises-submessage p, #premises-details .premises-disclaimer p { font-size: 24px; line-height: 28px; }
}
#premises-details .premises-date,
#premises-details .premises-bcp-status {
  font-size: 24px;
  line-height: 28px;
  margin-bottom: 14px;
  /*display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;*/
}
#premises-details .premises-bcp-status-icon { flex: 0 0 60px; background-size: 60px; height: 60px; }
#premises-details .premises-bcp-status-icon.live { background-image: url(../images/bcp-connected.svg); }
#premises-details .premises-bcp-status-icon.in-planning { background-image: url(../images/bcp-in-planning.svg); }
#premises-details .premises-date-value,
#premises-details .premises-bcp-status-value {
  /*font-family: 'Graphik Medium';*/
  padding-left: 8px;
  font-weight: bold;
  /*text-align: right;*/
  /*-ms-flex: 0 1 auto;
  flex: 1;*/
}
#premises-details .premises-cta,
#premises-details .premises-bcp-link {
  /*text-align: center;*/
  margin: 28px 0;
}
#premises-details .premises-cta .button.green1 { background-color: var(--default-bg); color: var(--emerald); }
#premises-details .premises-bcp-link { text-align: center; }
#premises-details.with-date.condensed .premises-cta {
  margin: 14px 0 0;
}
#premises-details .premises-cta .premises-cta-text {
  /*font-size: 14px;
  line-height: 1.4em;*/
  /*text-align: center;*/
  margin-bottom: 10px;
}
.disclaimers { background-color: var(--default-bg); color: var(--body-text); font-size: 12px; line-height: 18px; padding: 10px 0; }
@media (min-width: 769px) {
    .disclaimers { padding-right: 40%; }
	.home .disclaimers { padding-right: 0; }
}
.premises-disclaimer,
.bcp-school .premises-bcp-disclaimer,
.bcp .premises-bcp-disclaimer {
  /*display: block;*/
  /*padding: 0 24px 21px;*/
  /*font-size: 0.7em;*/
  /*line-height: 1.4em;*/
  -webkit-transform: translate3d(0, 0, 0);
}
#premises-details .premises-disclaimer { padding-bottom: 0; }

#premises-details .bcps-section {
  padding: 18px 0 0 0;  /* padding-left was 20px; padding-bottom was 24px; */
  -webkit-transform: translate3d(0, 0, 0);
}
.page-bcp-map #premises-details .bcps-section, .has-bcp-search #premises-details .bcps-section { background-color: #e8f4f5; }
@media (max-width: 768px) {
    .has-eircode-search #premises-details .bcps-section { padding: 10px 20px 0 50px; }
}
#premises-details .bcps-section h4 {
  /*font-size: 16px;*/
  line-height: 1.7;
  /*color: #58595b;*/
  margin-bottom: 18px;
  font-weight: normal;
  cursor: help;
}
#premises-details .bcps-section h4 span {
  position: relative;
  display: inline-block;
  height: 16px;
  width: 16px;
  background: 0 / 16px url(../images/info-icon.svg) no-repeat transparent;
}
#premises-details .bcps-section h4 span .tooltip {
  visibility: hidden;
  width: 280px;
  border-radius: 4px;
  position: absolute;
  bottom: 125%;
  right: -10px;
  z-index: 1;
  padding: 12px;
  font-family: 'Graphik Regular';
  font-size: 12px;
  line-height: 1.5em;
  color: #555;
  background-color: #fff;
  border: 1px solid #dadada;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  opacity: 0;
  transition: opacity 0.3s;
}
#premises-details .bcps-section h4 span .tooltip::after {
  content: '';
  position: absolute;
  top: 100%;
  right: 4%;
  border-width: 5px;
  border-style: solid;
  border-color: #fff transparent transparent transparent;
}
#premises-details .bcps-section h4.show-tooltip .tooltip {
  visibility: visible;
  opacity: 1;
}

#premises-details .bcps-section .bcps-list {
  /*margin-right: 24px;*/
  margin-left: 0;
  margin-bottom: 20px;
}
#premises-details .bcps-section .bcps-list li {
  font-size: 14px;
  line-height: 1.43em;
  margin-bottom: 20px;
  list-style-type: none;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: row;
  flex-direction: row;
  cursor: pointer;
}
#premises-details .bcps-section .bcps-list li:hover, .has-eircode-search #premises-details .bcps-section .bcps-list:hover {
  text-decoration: underline;
  cursor: pointer;
}
#premises-details .bcps-section .address {
  -ms-flex: 0 1 auto;
  flex: 1;
  -ms-align-self: center;
  align-self: center;
  padding-right: 8px;
}
#premises-details .bcps-section .distance {
  background: center top / 23px url('../images/bcp-marker-icon.svg') no-repeat;
  padding-top: 30px;
  font-size: 10px;
  line-height: 2em;
}

.has-eircode-search #premises-details .details-inner-section, .page-install #premises-details .details-inner-section { display: flex; /*align-items: center;*/ background-color: var(--emerald); color: var(--default-bg); padding: 24px; }
.has-eircode-search #premises-details.outside-ia .details-inner-section, .page-install #premises-details.outside-ia .details-inner-section { background-color: var(--teal-shade-2); }
@media (max-width: 768px) {
    .has-eircode-search #premises-details .details-inner-section, .page-install #premises-details .details-inner-section { /*padding: 0;*/ }
}
.has-eircode-search .icon, .page-install .icon { flex: 0 0 65px; background-repeat: no-repeat; background-size: 64px; }
@media (max-width: 768px) {
    .has-eircode-search .icon, .page-install .icon { flex: 0 0 42px; background-size: 40px; }
}
.has-eircode-search .inside-ia .icon, .page-install .inside-ia .icon { background-image: url(../images/tick-icon-white-tick-teal-circle.svg);  }
.has-eircode-search .outside-ia .icon, .page-install .outside-ia .icon { background-image: url(../images/x-icon-white.svg); }

.has-eircode-search .messages, .page-install .messages { padding-left: 1em; }
#premises-details.inside-ia.with-date .details-inner-section { background-color: var(--emerald); }

#premises-details.outside-ia .premises-message {
  /*color: #e6533c;*/
}
#premises-details.outside-ia .premises-date,
#premises-details.outside-ia .premises-cta-register,
#premises-details.outside-ia .premises-cta-order {
  display: none;
}

#premises-details.inside-ia .premises-cta-outside {
  display: none;
}

/*#premises-details.bcp-school .premises-submessage,*/
#premises-details.bcp-school .premises-date,
#premises-details.bcp-school .premises-cta,
#premises-details.bcp-school .premises-disclaimer,
#premises-details.bcp .premises-date,
#premises-details.bcp .premises-cta,
#premises-details.bcp .premises-disclaimer,
#premises-details .premises-bcp-status,
#premises-details .premises-bcp-disclaimer {
  display: none;
}
/*#premises-details.bcp-school .premises-bcp-status,*/ #premises-details.bcp .premises-bcp-status { display: flex; align-items: center; justify-content: center; }

.premises-back-btn {
  /*font-family: 'Graphik Regular';*/
  /*font-size: 12px;*/
  /*float: right;*/
  padding-left: 8px;
  cursor: pointer; position: absolute; bottom: 0; left: 0; width: 100%; background-color: var(--teal-shade-4); color: var(--teal);
  margin-top: 24px;
  line-height: 36px;
}
.premises-back-btn:hover {
  text-decoration: underline;
}

.api-error,
.no-results {
  padding: 24px;
  font-style: italic;
}
#premises-details .api-error {
  padding: 20px 0;
}
.api-error p,
.no-results p {
  margin-bottom: 12px;
}
.api-error p.correlation-id {
  margin-top: 40px;
  font-size: 14px;
  color: #777;
}

.has-ready-to-order-search #gmp-address-search-input, .has-eircode-search #gmp-address-search-input, .has-bcp-search #gmp-address-search-input, .page-install #gmp-address-search-input { background-color: var(--default-bg); color: var(--teal); }
.has-ready-to-order-search #search-map-btn, .has-eircode-search #search-map-btn, .has-bcp-search #search-map-btn, .page-install #search-map-btn { background-color: var(--emerald); color: transparent; }
.has-ready-to-order-search #gmp-address-search-input::-webkit-input-placeholder, .has-eircode-search #gmp-address-search-input::-webkit-input-placeholder, .page-broadband-connection-points #gmp-address-search-input::-webkit-input-placeholder, .page-install #gmp-address-search-input::-webkit-input-placeholder { color:var(--teal); /* Chrome/Opera/Safari */ }
.has-ready-to-order-search #gmp-address-search-input::-moz-placeholder, .has-eircode-search #gmp-address-search-input::-moz-placeholder, .has-bcp-search #gmp-address-search-input::-moz-placeholder, .page-install #gmp-address-search-input::-moz-placeholder { color: var(--teal); /* Firefox 19+ */ }
.has-ready-to-order-search #gmp-address-search-input:-ms-input-placeholder, .has-eircode-search #gmp-address-search-input:-ms-input-placeholder, .has-bcp-search #gmp-address-search-input:-ms-input-placeholder, .page-install #gmp-address-search-input:-ms-input-placeholder { color: var(--teal); /* IE 10+ */ }
.has-ready-to-order-search #gmp-address-search-input:-moz-placeholder, .has-eircode-search #gmp-address-search-input:-moz-placeholder, .has-bcp-search #gmp-address-search-input:-moz-placeholder, .page-install #gmp-address-search-input:-moz-placeholder { color: var(--teal); /* Firefox 18- */ }


/* Map styling */
#map-container {
  position: relative;
  display: flex;
  display: -ms-flexbox;
  flex-direction: column;
  -ms-flex-direction: column;
}
#map-container .loader {
  display: none;
}
#map-container.loading .loader {
  position: absolute;
  display: block;
  width: 100%;
  height: 100%;
  z-index: 99;
  background: #fff;
  padding: 24px;
  text-align: center;
  font-style: italic;
}
#googlemap {
  background-color: #eee;
  height: 100vw;
}

/* Map Legend styling */
#map-legend {
  width: 100%;
  font-family: 'Graphik Regular';
  font-size: 10px;
  background-color: #fff;
  /*border-bottom: 1px solid #d9eaec;*/
  background-color: #000;
}
.page-bcp-map #map-legend, .has-bcp-search #map-legend { background-color: var(--default-bg); }
#map-legend h4 {
  font-size: 12px;
  color: #4f4f4f;
  line-height: 2em;
  font-weight: normal;
  padding: 9px 8px;
  cursor: pointer;
  margin-bottom: 0;
}
#map-legend h4:after {
  content: '–';
  float: right;
  font-size: 15px;
  margin-right: 2px;
}
#map-legend ul {
  width: 100%;
  list-style-type: none;
  padding: 8px 8px 0;
  /*border-top: 1px solid #58595b;*/
  margin: 0;
  color: var(--default-bg);
}
@media (max-width: 768px) {
    #map-legend { width: initial; }
    .page-bcp-map #map-legend ul, .has-bcp-search #map-legend ul { display: -ms-flexbox; display: flex; -ms-flex-wrap: nowrap; flex-wrap: nowrap; -ms-flex-direction: row; flex-direction: row; margin-bottom: 20px; }
}
.page-bcp-map #map-legend ul, .has-bcp-search #map-legend ul { color: var(--darker-text); }
#map-legend li {
  min-width: 50%;
  padding: 0 0 0 28px;
  margin-bottom: 8px;
  line-height: 28px;
  background-size: 20px;
}
#map-legend li.ia {
  background: 0px center url('../images/tick-with-white-bg.svg') no-repeat transparent;
  background-size: 25px;
}
#map-legend li.oa {
  background: 0px center url('../images/x-icon-shaded.svg') no-repeat transparent;
  background-size: 25px;
}
#map-legend li.bcps, #map-legend li.bcp-live {
  background: 0px center url('../images/bcp-connected.svg') no-repeat transparent;
  background-size: 25px;
}
#map-legend li.bcp-live, #map-legend li.bcp-in-planning {
  /*width: 50%;*/
}
#map-legend li.bcp-in-planning {
  background: 0px center url('../images/bcp-in-planning.svg') no-repeat transparent;
  background-size: 25px;
}
#map-legend.collapse h4:after {
  content: '+';
}
#map-legend.collapse ul {
  display: none;
}
/* Map InfoWindow styling */
.map-infowindow {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  width: 330px;
  font-family: 'Graphik Regular';
  font-size: 16px;
  line-height: 1.4em;
  border-radius: 4px;
}
@media (min-width: 769px) {
    .map-infowindow { font-size: 20px; }
}
.map-infowindow-header {
  border-radius: 4px 4px 0px 0px;
  padding: 20px 28px 20px 12px;
  background: 12px 20px / 36px url(../images/tick-icon-white-tick-teal-circle.svg) no-repeat var(--emerald);
}
.page-bcp-map .map-infowindow-header, .has-bcp-search .map-infowindow-header { background-image: none; }
.map-infowindow.outside-ia .map-infowindow-header {
  background-color: var(--teal-shade-2);
  background-image: url(../images/x-icon-white.svg);
  background-position-y: 22px;
}
.map-infowindow.bcp-school .map-infowindow-header {
  background-color: #d1911f;
}
.map-infowindow .map-infowindow-header h4 {
  font-size: 16px;
  line-height: 1.4em;
  color: var(--default-bg);
  font-weight: normal;
  -webkit-font-smoothing: antialiased;
  margin-bottom: 0;
  padding-left: 60px;
}
@media (min-width: 769px) {
    .map-infowindow .map-infowindow-header h4 { font-size: 20px; }
}
.page-bcp-map .map-infowindow .map-infowindow-header h4, .has-bcp-search .map-infowindow .map-infowindow-header h4 { padding-left: 10px; }
.map-infowindow-body {
  background: 12px 10px / 36px url(../images/location-icon-circle-base.svg) no-repeat var(--default-bg);
  /*padding-left: 48px;*/
  padding-bottom: 10px;
  background-size: 36px;
}
.has-eircode-search .map-infowindow:not(.bcp-infowindow) .map-infowindow-body, .page-install .map-infowindow:not(.bcp-infowindow) .map-infowindow-body { display: -ms-flexbox; display: flex; -ms-flex-direction: row; flex-direction: row; } /* No flex for BCP popup */
.map-infowindow-body .map-infowindow-col {
  -ms-flex: 0 1 auto;
  flex: 1;
  padding: 10px 16px 10px 70px; /* padding-bottom was 20px */
  color: var(--teal);
}
.map-infowindow-body .map-infowindow-col.status { /*padding-top: 20px;*/ /*padding-bottom: 20px;*/ }
.map-infowindow-body .map-infowindow-col strong {
  display: block;
}
.map-infowindow-body .map-infowindow-status { /*margin-bottom: 10px;*/ }
.map-infowindow.bcp-infowindow .map-infowindow-header { background-color: var(--sky); /* was --emerald */ }
.map-infowindow.bcp-infowindow.in-planning .map-infowindow-header { /*background-color: #e6533c;*/ }
.map-infowindow.bcp-infowindow .map-infowindow-body .map-infowindow-col.address, .map-infowindow.bcp-school .map-infowindow-body .map-infowindow-col.address {
  background: 12px 50% / 36px url(../images/BCP.svg) no-repeat var(--default-bg); /* was bcp-icon.svg */
}
.map-infowindow.bcp-infowindow.in-planning .map-infowindow-body .map-infowindow-col.status, .map-infowindow.bcp-school.in-planning .map-infowindow-body .map-infowindow-col.status {
    background: 12px 50% / 36px url(../images/bcp-in-planning.svg) no-repeat var(--default-bg);
}
.map-infowindow.bcp-infowindow.live .map-infowindow-body .map-infowindow-col.status, .map-infowindow.bcp-school.live .map-infowindow-body .map-infowindow-col.status {
    background: 12px 50% / 36px url(../images/bcp-connected.svg) no-repeat var(--default-bg);
}

.map-infowindow.multi-address {
  border-radius: 4px;
  padding: 24px;
  background-color: var(--default-bg);
}
.map-infowindow.multi-address h4 {
  font-size: 14px;
  line-height: 1.43em;
  font-weight: normal;
  margin-bottom: 10px;
}
.map-infowindow.multi-address p {
  font-size: 14px;
}
.map-infowindow.multi-address p.desktop {
  display: none;
}

.map-control {
  height: 40px;
  min-width: 40px;
  background: center url('../images/my-location.png') no-repeat var(--default-bg);
  background-size: 28px;
  border-radius: 2px;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  cursor: pointer;
  margin: 10px;
  text-align: center;
  padding: 0 18px;
}
.map-control-label {
  display: none;
}

/*------------------------- google map resets ----------------------------------------------------*/
.gm-style-iw-d {
  overflow: unset !important;
  max-width: 330px !important;
  max-height: fit-content !important;
}
.gm-style-iw {
  width: 330px !important;
}
.gm-style .gm-style-iw-c {
  padding: 0 !important;
  min-width: 330px !important;
  max-height: fit-content !important;
}
.gm-style-iw button {
  color: #fff !important;
  top: 4px !important;
  right: -2px !important;
}
.gm-style-iw button.gm-ui-hover-effect {
  opacity: 1 !important;
}
/* Style the X button on the marker pop up. Set size 0, some padding and background as linear-gradient to get the white x. Otherwise it's black as it's the image SVG */
.gm-style-iw button.gm-ui-hover-effect img {
  background: linear-gradient(
      to bottom right,
      transparent 43%,
      #fff 45%,
      #fff 55%,
      transparent 57%
    ),
    linear-gradient(
      to bottom left,
      transparent 43%,
      #fff 45%,
      #fff 55%,
      transparent 57%
    ),
    transparent !important;
  padding: 6px !important;
  width: 0px !important;
  height: 0px !important;
  margin: 0 !important;
  text-align: center !important;
  margin: 8px !important;
}
/*------------------------- google map resets ends ----------------------------------------------------*/

/*------------------------- media queries ----------------------------------------------------*/
/* For tablets */
@media only screen and (min-width: 601px) {
  #map-container {
    height: 600px;
  }

  #map-legend {
    font-size: 12px;
  }
  #map-legend li {
    min-width: 33%;
  }

  .map-control {
    background: #fff;
  }
  .map-control-label {
    display: block;
    font-size: 16px;
    line-height: 2.5em;
  }
}

/* For small desktop: */
@media only screen and (min-width: 769px) {
  #address-search-error {
    padding: 8px 16px;
  }
  #search-btn {
    width: 120px;
  }

  #side-panel h3 {
    font-size: 24px;
    margin-bottom: 0;
  }

  #premises-list,
  #premises-sublist,
  #premises-details {
    font-size: 16px;
    line-height: 1.25em;
  }
  #premises-details .premises-address span, #premises-details .bcps-section .bcps-list { font-size: 24px; line-height: 32px; }
  .premises-header {
    /*padding: 16px 24px 24px;*/
    /*position: sticky;*/
    top: 0;
  }
  .page-bcp .premises-header { padding-bottom: 32px; padding-top: 48px; }
  .premises-list-container {
    padding: 8px 24px;
  }
  .premises-list-container li {
    padding: 16px 0;
  }

  #premises-details .details-section {
    padding: 18px;
    order: initial;
  }
  .page-bcp-map #premises-details .bcps-section, .has-bcp-search #premises-details .bcps-section {
    padding: 16px 24px 16px 24px;
  }

  .map-infowindow-body {
    background: 12px 20px / 36px url(../images/location-icon-circle-base.svg) no-repeat var(--default-bg);
    /*padding-left: 60px;*/
  }
  .map-infowindow.bcp-infowindow .map-infowindow-body  .map-infowindow-col.address, .map-infowindow.bcp-school .map-infowindow-body .map-infowindow-col.address,
  .map-infowindow.bcp-infowindow.in-planning .map-infowindow-body .map-infowindow-col.status, .map-infowindow.bcp-school.in-planning .map-infowindow-body .map-infowindow-col.status,
  .map-infowindow.bcp-infowindow.live .map-infowindow-body .map-infowindow-col.status, .map-infowindow.bcp-school.live .map-infowindow-body .map-infowindow-col.status  {
    /*background: 12px 10px / 48px url(../images/BCP.svg) no-repeat #ffffff;*/
    background-size: 36px;
  }
}

/* For medium desktop: */
@media only screen and (min-width: 961px) {
  .map-page-container {
    -ms-flex-direction: row;
    flex-direction: row;
  }

  .page-bcp-map #side-panel, .has-bcp-search #side-panel {
    width: 360px;
    height: 750px;
    overflow-y: auto;
  }
  #side-panel.loading .loader {
    margin: 50% 24px;
  }

  #premises-details {
    /*display: -ms-flexbox;
    display: flex;*/
    -ms-flex-direction: row;
    flex-direction: row;
    height: 100%;
  }
  #premises-details .details-section {
    display: inline-block;
    -ms-flex-direction: column;
    flex-direction: column;
  }
  .has-eircode-search #premises-details .details-section, .page-install #premises-details .details-section { -ms-flex: 0 3 auto; flex: 3; }
  #premises-details .details-inner-section { flex: 7; padding: 24px 18px 24px 18px; }
  #premises-details .details-inner-section .wp-block-button__link, #premises-details .details-inner-section .green1 { background-color: var(--default-bg); color: var(--emerald); }

  #map-container {
    -ms-flex: 0 4 auto;
    flex: 4;
    height: 750px;
  }
  .home #map-container { display: none; }

  #map-legend {
    position: absolute;
    left: 10px;
    bottom: 32px;
    width: initial; /* was 226px */
    border-radius: 2px;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  }
  #map-legend li {
    padding: 0 0 0 32px;
    margin-bottom: 10px;
  }

  .map-infowindow.multi-address p.desktop {
    display: block;
  }
  .map-infowindow.multi-address p.mobile {
    display: none;
  }
}
